edu.northwestern.at.morphadorner.corpuslinguistics.namerecognizer

## Class NamePosition

- java.lang.Object
- - edu.northwestern.at.morphadorner.corpuslinguistics.namerecognizer.NamePosition

-     public class NamePosition
      extends java.lang.Object

  Records name position in tokenized text.

  Given a text split into sentences and words, a name position specifies the position of a name string as a triple consisting of the sentence number, starting word number in the sentence, and ending word number in the sentence.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `endingWord` Ending word number in sentence.
    `int` | `properNounCount` Proper noun count.
    `int` | `sentence` Sentence number.
    `int` | `startingWord` Starting word number in sentence.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `NamePosition()` Create empty name position.
    `NamePosition(int sentence, int startingWord, int endingWord, int properNounCount)` Create name position from sentence and word positions.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()` Return name position as a string.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### sentence

          public int sentence

      Sentence number.

    - #### startingWord

          public int startingWord

      Starting word number in sentence.

    - #### endingWord

          public int endingWord

      Ending word number in sentence.

    - #### properNounCount

          public int properNounCount

      Proper noun count.

  - ### Constructor Detail

    - #### NamePosition

          public NamePosition()

      Create empty name position.

    - #### NamePosition

          public NamePosition(int sentence,
                      int startingWord,
                      int endingWord,
                      int properNounCount)

      Create name position from sentence and word positions.
      Parameters:
        `sentence` - The sentence number containing the name.
        `startingWord` - The starting word.
        `endingWord` - The ending word.
        `properNounCount` - The proper noun count.

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Return name position as a string.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String in form (sentence, starting word, ending word).